Subject: RE: [Sip] Connected-identity and changing the To header fieldinar esponse

From: "Elwell, John" <[email-masked]>
Date: Tue, 04 Apr 2006 20:17:48 +0100

Georg,

The decision in Vancouver concerned the From header field URI in mid-dialog
requests compared with (depending on direction) the From or To header field
URI in the dialog-forming INVITE request. This was already anticipated when
RFC3261 was written (see 12.2.1.1), so implementations have had a good 4
years to align.

The issue we are discussing in this thread concerns changing the To header
field URI in a response to make it different from the To header field URI in
a request. It is not so clear that this was anticipated by RFC 3261, so I am
rather cautious about allowing this - perhaps it is safer not to. But some
people wish to be able to do this.

John

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: 04 April 2006 14:26
> To: [email-masked]; [email-masked]; 
> Elwell, John; [email-masked]
> Subject: RE: [Sip] Connected-identity and changing the To 
> header fieldinaresponse
> 
> Hi,
> 
> I just wonder which principle we going to change next. I always liked
> ASN.1 encoding - maybe we can consider that for the April 
> change to RFC
> 3261.
> 
> I don't know who decided this in Vancouver, but I think a 
> specification
> that was implemented by a quite bigger group of people than 
> participants
> in IETF (ad hoc) meetings should be handled with great great care.
> Breaking compatibility with existing implementations is a horrible
> scenario and will not help the acceptance of SIP.
> 
> Currently I see tendencies in IETF to change the basic specs 
> (e.g. also
> PRACK). Please be aware that here we do not only talk about existing
> implementations but also other standards bodies (OMA, TISPAN, 3G, 3G2)
> that use RFCs as the base for their architectures. The reliablity of
> IETF specifications is a very important issue in these bodies and the
> amount of work it would cost, to align e.g. existing 3G specs 
> to changes
> to very basic RFC 3261 principles, should be taken into 
> account by IETF.
> 
> I know that the more technical line of argumentation is favoured here,
> but I cannot help myself to get a little worried about the general
> attitude. 
> 
> Best regards
> Georg
> 
> --
> Georg Mayer - Nokia
> http://www.nokia.com/openness
> http://www.imsbook.com
>  
> 
> >-----Original Message-----
> >From: ext Christer Holmberg (JO/LMF) 
> >[mailto:[email-masked]] 
> >Sent: 04 April, 2006 15:14
> >To: Bob Penfield; Elwell, John; [email-masked]
> >Subject: RE: [Sip] Connected-identity and changing the To 
> >header fieldinaresponse
> >
> >
> >Hi Bob,
> >
> >I was told (see a few mails back) that it had been decided 
> >that backward compability with RFC 2543 does not need to be 
> >taken into account.
> >
> >Regards,
> >
> >Christer
> >
> > 
> >
> >-----Original Message-----
> >From: Bob Penfield [mailto:[email-masked]]
> >Sent: 4. huhtikuuta 2006 14:58
> >To: Elwell, John; [email-masked]
> >Subject: Re: [Sip] Connected-identity and changing the To 
> >header field inaresponse
> >
> >The issue with changing the To in a response is backward 
> >compatibility with RFC 2543 which does use the To for 
> >transaction matching. RFC 2543 section
> >1.4.3 says:
> >
> >   All responses to a request contain the same values in
> >   the Call-ID, CSeq, To, and From fields (with the possible
> >   addition of a tag in the To field (section 6.37)).
> >   This allows responses to be matched with requests.
> >
> >cheers,
> >(-:bob
> >
> >Robert F. Penfield
> >Chief Software Architect
> >Acme Packet, Inc.
> >71 Third Avenue
> >Burlington, MA 01803
> >[email-masked]
> >
> >----- Original Message -----
> >From: "Elwell, John" <[email-masked]>
> >To: <[email-masked]>
> >Sent: Tuesday, April 04, 2006 2:45 AM
> >Subject: [Sip] Connected-identity and changing the To header 
> >field in aresponse
> >
> >
> >> During discussion of draft-elwell-connected-identity in Dallas, 
> >> somebody put forward the opinion that it would be dangerous 
> >to change 
> >> the To header field URI in a response (i.e., make it 
> different from 
> >> the From header field URI in the request). My assumption 
> at the time 
> >> was that it would undermine the transaction concept in SIP, yet 
> >> reading what RFC3261 has to say about transactions, the 
> value of the 
> >> To header field URI in a response does not appear to be 
> involved in 
> >> coupling a response to a request. Therefore I assume the 
> person who 
> >> indicated the danger (which was not challenged at the
> >> meeting) has other reasons in mind. I would greatly appreciate 
> >> opinions on the wisdom or otherwise of allowing the To 
> header field 
> >> URI to change. It seems that from discussion of connected-identity 
> >> there is a desire from some parts of the community to include an
> >> (unauthenticated) identity in a response.
> >>
> >> John
> >>
> >>
> >
> >
> >---------------------------------------------------------------
> >---------
> >--------
> >
> >
> >> _______________________________________________
> >> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> >> This list is for NEW development of the core SIP Protocol Use 
> >> [email-masked] for questions on current sip Use 
> >> [email-masked] for new developments on the application of sip
> >
> >
> >_______________________________________________
> >Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> >This list is for NEW development of the core SIP Protocol Use 
> >[email-masked] for questions on current sip 
> >Use [email-masked] for new developments on the application of sip
> >
> >_______________________________________________
> >Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> >This list is for NEW development of the core SIP Protocol Use 
> >[email-masked] for questions on current sip 
> >Use [email-masked] for new developments on the application of sip
> >
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Wed, 5 Apr 2006 19:15:42 +0100

(personal preference at the moment)

I guess I would like to see working group decisions that have impact on SIP deliverables, rather than general statements of principle.

It would seem to me that there are various bits of text spread throughout RFC 3261 that reflect this interoperability issue, including quite a few requirements. Perhaps you should see what support you get for specific proposals to modify such text, presumably based on an i-d that updates part of RFC 3261 (in the same manner as e.g. RFC 4320 does).

regards

Keith

> From: Jeroen van Bemmel [mailto:[email-masked]]
> Sent: 04 April 2006 20:22
> To: Michael Hammer (mhammer); Bob Penfield; Elwell, John; [email-masked]
> Subject: Re: [Sip] Connected-identity and changing the To header
> fieldinaresponse
> 
> 
> big humm on that
> 
> From: "Michael Hammer (mhammer)" <[email-masked]>
> To: "Bob Penfield" <[email-masked]>; "Elwell, John" 
> <[email-masked]>; <[email-masked]>
> Sent: Tuesday, April 04, 2006 4:00 PM
> Subject: RE: [Sip] Connected-identity and changing the To header 
> fieldinaresponse
> 
> 
> It has now been about 4 years since RFC-3261 was published.
> Is it about time to declare RFC-2543 really obsolete and
> end discussion of backwards compatibility with it?
> 
> Mike
> 
> 
> > Sent: Tuesday, April 04, 2006 7:58 AM
> > > the From header field URI in the request). My assumption at
> > the time
> > --------------------------------------------------------------
> > ------------------
> >
> >